/* Contact Card*/

.contact{
    max-width: 400px;
    width: 100%;
    border-radius: 30px;
    border: 1px solid #565656;
    position: fixed;
    left: 4em;
    top: 50%;
    transform: translateY(-50%);
    padding: 2em 3em;
    background-color: var(--bg-alt);
    display: inline-block;
    text-align: center;

    background: rgba(255, 255, 255, 0.03);
    backdrop-filter: blur(7.2px);
    -webkit-backdrop-filter: blur(7.2px);
    border: 1px solid rgba(255, 255, 255, 0.24);
    z-index: 1000;

    display: flex;
    flex-direction: column; /* Stack items vertically */
    justify-content: center; /* Center horizontally */
    align-items: center;     /* Center vertically */
  }

  .contactcontainer{
    margin-bottom: 0;
  }
  
  .contact > * {
    margin-bottom: 2em;
    display: inline-block;
    text-align: center;
  }
  
  .contactwrapper {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 1em;
  }
  
  .contactname{
    font-size: 2.8em;
    font-weight: 200;
    line-height: 1em;
  }
  
  .contacttitle{
    max-width: 160px;
    align-self: flex-end;
    font-size: 0.9em;
    font-weight: 400;
  }
  
  .imgwrapper{
    height: 300px;
    width: 300px;
    overflow: hidden;
    margin-bottom: 2em;
    border-radius: 20px;
  }

  .portrait{
    border-radius: 20px;
  }
  
  .contactlocation{
    font-size: 2em;
    font-weight: 200;
    margin-bottom: 1em;
  }
  
  .socialmedia{
    align-items: center;
    justify-content:space-between;
    display: flex;
    flex-wrap: nowrap;
    list-style: none;
    margin: 0;
    padding: 0;
    margin-bottom: 2em;
  }
  
  .socialmedia > li > a{
    display: block;
    color: var(--txt-alt);
    border: 2px solid var(--txt-alt);
    width: 50px;
    height: 50px;
    line-height: 46px;
    text-align: center;
    border-radius: 50%;
    transition: all 0.5s ease-out allow-discrete;
  }
  
  .socialmedia > li > a:hover{
    border-color: var(--highlight-color);
    color: var(--highlight-color);
  }
  
  .contactbuttons{
    align-items: center;
    justify-content: space-between;
    display: flex;
    flex-wrap: nowrap;
    list-style: none;
    margin-bottom: 0;
  }
  
  .email{
    display: inline;
    color: var(--bg-color);
    background-color: var(--highlight-color);
    border: 2px solid var(--highlight-color);
    min-width: 70%;
    padding: 0 1.2em;
    border-radius: 30px;
    transition: all 0.5s ease-out allow-discrete;
    text-decoration: none;
    text-align: center;
    line-height: 46px;
    font-size: 1.2em;
    font-weight: 600;
  }
  
  .email > i {
    padding-right: 0.4em;
  }
  
  .tel{
    display: inline-block;
    color: var(--bg-color);
    background-color: var(--highlight-color);
    border: 2px solid var(--highlight-color);
    width: 50px;
    height: 50px;
    line-height: 46px;
    text-align: center;
    border-radius: 50%;
    transition: all 0.5s ease-out allow-discrete;
  }
  
  .tel > i {
    display: inline-block;
  }
  
  .email:hover, .tel:hover{
    color: var(--highlight-color);
    background-color: var(--bg-color);
  }
